html {
  overflow-y: scroll;
}

html, body {
	border: 0px;
	height: 100%;
	margin: 0px;
	padding: 0px;
}

body {
	background-attachment: fixed;
	background-color: rgba(0, 0, 0, 1);
	background-image: url('bright-squares.png');
	border: 0px solid red;
	font-family: 'Open Sans', Verdana, sans-serif;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

#wrapper {
	background-color: #FFFFFF;
	border: 1px solid rgba(0,0,0,1);
	border-top: 1px solid rgba(255,65,77,1);
	margin: 0px auto;
	margin-bottom: 0px;
	text-align: center;
	width: 995px;
	
}

#headers{
	background-color: rgba(255,65,77,1);
	padding-top: 20px;
	padding-bottom: 15px;
	margin-bottom: 0px;
	text-shadow: 2px 2px 2px #AA0000;
}
h1, h3 {
	font-family: 'Josefin Slab', serif;
	color: rgb(255,255,255);
	font-weight: lighter;
}
h1 {
	font-size: 3em;
	margin: 0px;
}
h3 {
	font-size: 1.8em;
	margin: 0px;
}

#footer {
	font-family: 'Josefin Slab', serif;
	background-color: rgba(255,65,77,1);
	border: 0px solid black;
	margin-bottom: 0px;
	padding: 10px;
}

#footer a:link, #footer a:visited {
	color: rgb(255,255,255);
	text-shadow: 2px 2px 2px #AA0000;
	text-decoration: none;
	transition: 1.5s ease;
}

#footer a:hover, #footer a:active {
	color: #000000;
	transition: 1.5s ease;
	text-shadow: 2px 2px 2px #AA0000;
}

#canvasBox {
	float: left;
	padding: 0px;
}

canvas {
	background-color: #FFFFFF;
	border: 1px solid #AAAAAA;
	margin: 0px;
	margin-left: 10px;
	margin-top: 10px;
	padding: 0px;
}

#gl-canvas {
	cursor: move;
}

#fps
{
	font-size: .9em;
	width: 80px;
	text-align: left;
	margin-bottom: 20px;
	margin-left: 10px;
	text-shadow: 2px 2px 2px #AAAAAA;
}

#controls {
	border: 0px solid rgb(255,65,77);
	float: right;
	width: 320px;
	padding: 0px;
	padding-top: 10px;
	margin: 0px;
	margin-right: 10px;
}

button {
	padding: 7px;
	cursor: pointer;
}

#juiceImg {
	cursor: pointer;
}

#ButtonR {
	margin-bottom: 10px;
}

input[type='radio'] {
	margin: 10px;
	transform: scale(1.8);
	cursor: pointer;
}

#radioForm {
	margin-top: 4px;
}

fieldset {
	border: 1px solid rgb(255,65,77);
	margin-bottom: 8px;
	margin-top: 0px;
	font-weight: lighter;
}

legend {
	color: rgb(255,65,77);
}

a:link, a:visited {
	color: #000000;
	transition: 1s ease;
}

a:hover, a:active {
	color: rgb(255,65,77);
	transition: 1s ease;
}

#textures {
	transform: scale(1.3);
	cursor: pointer;
}

option {
	cursor: pointer;
}

.clear {
	clear: both;
}

.green {
	color: rgba(0, 255, 0, 1);
}
.yellow {
	color: rgba(255, 255, 0, 1);
}
.red {
	color: rgba(255, 0, 0, 1);
}
.blue {
	color: rgba(0, 0, 255, 1);
}

input[type=range] {
	cursor: pointer;
}

#color1, #color2 {
	/*text-shadow: 1px 1px 2px #000000;*/
	text-shadow:
    -1px -1px 0.5px rgba(0,0,0,.05),
    1px -1px 0.5px rgba(0,0,0,.05),
    -1px 1px 0.5px rgba(0,0,0,.05),
    1px 1px 0.5px rgba(0,0,0,.05);
}

#canvas2 {
	border: 1px solid #AAAAAA;
	position: relative;
	margin: auto;
	margin-top: 6px;
}

.hidden {
	display: none;
}

#box0 {
	display: block;
}

.onoffswitch {
    position: relative; width: 133px;
    -webkit-user-select:none; -moz-user-select:none; -ms-user-select: none;
	margin: auto;
}
.onoffswitch-checkbox {
    display: none;
}
.onoffswitch-label {
    display: block; overflow: hidden; cursor: pointer;
    border: 2px solid #E3E3E3; border-radius: 36px;
}
.onoffswitch-inner {
    display: block; width: 200%; margin-left: -100%;
    transition: margin 0.3s ease-in 0s;
}
.onoffswitch-inner:before, .onoffswitch-inner:after {
    display: block; float: left; width: 50%; height: 36px; padding: 0; line-height: 36px;
    font-size: 16px; color: white; font-family: Verdana; font-weight: bold;
    box-sizing: border-box;
}
.onoffswitch-inner:before {
    content: "Auto On";
    padding-left: 14px;
    background-color: #12F00E; color: #FFFFFF;
	text-align: left;
}
.onoffswitch-inner:after {
    content: "Auto Off";
    padding-right: 12px;
    background-color: #FF1919; color: #FFFFFF;
    text-align: right;
}
.onoffswitch-switch {
    display: block; width: 36px; margin: 0px;
    background: #FFFFFF;
    position: absolute; top: 0; bottom: 0;
    right: 93px;
    border: 2px solid #E3E3E3; border-radius: 36px;
    transition: all 0.3s ease-in 0s; 
}
.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
    margin-left: 0;
}
.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
    right: 0px; 
}